import vl from 'vega-lite-api';
export const viz = vl
  .markCircle({
    size: 200,
    opacity: 0.5,
    color: 'black'
  })
  .encode(
    vl
      .x()
      .fieldQ('Margin of Error')
      .scale({ zero: false, type:'log'}),
    vl
      .y()
      .fieldQ('CommutingFlow')
      .scale({ zero: false, type:'log'}),
    vl
      .size()
      .fieldQ('CommutingFlow')
      .scale({ range: [0, 2000] }),
    vl.tooltip().fieldN('WorkCounty')
  );
